com.pixelmed.dicom

## Class DicomDirectoryRecordFactory.StudyDirectoryRecord

- java.lang.Object
- - com.pixelmed.dicom.DicomDirectoryRecord
  - - com.pixelmed.dicom.DicomDirectoryRecordFactory.StudyDirectoryRecord

All Implemented Interfaces:
  java.lang.Comparable, javax.swing.tree.TreeNode

Enclosing class:
  DicomDirectoryRecordFactory

    public class DicomDirectoryRecordFactory.StudyDirectoryRecord
    extends DicomDirectoryRecord

### Field Summary

### Fields inherited from class com.pixelmed.dicom.DicomDirectoryRecord

`integerValue, stringValue, uid`

### Method Summary

Methods
`int` `compareTo(java.lang.Object o)`
`protected void` `makeIntegerValue()`
`protected void` `makeStringValue()`
`java.lang.String` `toString()`

### Methods inherited from class com.pixelmed.dicom.DicomDirectoryRecord

`addChild, addSibling, children, compareToByIntegerValue, compareToByStringValue, equals, getAllowsChildren, getAttributeList, getChildAt, getChildCount, getIndex, getIntegerValue, getParent, getStringValue, getUIDForComparison, isLeaf, removeChild, setParent`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### compareTo

    public int compareTo(java.lang.Object o)

Specified by:
  `compareTo` in interface `java.lang.Comparable`
Overrides:
  `compareTo` in class `DicomDirectoryRecord`
Parameters:
  `o` -

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### makeStringValue

    protected void makeStringValue()

Specified by:
  `makeStringValue` in class `DicomDirectoryRecord`

#### makeIntegerValue

    protected void makeIntegerValue()

Specified by:
  `makeIntegerValue` in class `DicomDirectoryRecord`